<?xml version="1.0" encoding="UTF-8"?>
<module name="org.infinispan.core" slot="ispn-9.4" xmlns="urn:jboss:module:1.3">
    <resources>
        <artifact name="org.infinispan:infinispan-core:9.4.9.Final"/>
    </resources>

    <dependencies>
        <module name="jdk.scripting.nashorn" optional="true"/>
        <module name="jdk.unsupported" optional="true"/>
        <module name="javax.api"/>
        <module name="javax.transaction.api"/>
        <module name="org.apache.xerces" services="import"/>
        <module name="org.infinispan.commons" slot="ispn-9.4"/>
        <module name="com.github.ben-manes.caffeine" slot="ispn-9.4"/>
        <module name="io.reactivex.rxjava2.rxjava" slot="ispn-9.4"/>
        <module name="org.reactivestreams.reactive-streams" slot="ispn-9.4"/>
        <module name="org.jboss.jandex"/>
        <module name="org.jboss.logging" slot="ispn-9.4"/>
        <module name="org.jboss.marshalling" services="import" slot="ispn-9.4"/>
        <module name="org.jgroups" slot="ispn-9.4"/>
        <module name="sun.jdk" optional="true"/>
        <module name="sun.scripting" optional="true"/>

        <!-- The CacheStore modules are listed as dependencies so that people can use them even
          when they aren't directly exposed to the deployment !-->
        <module name="org.infinispan.persistence.jdbc" slot="ispn-9.4" services="import" optional="true"/>
        <module name="org.infinispan.persistence.jpa" slot="ispn-9.4" services="import" optional="true"/>
        <module name="org.infinispan.persistence.remote" slot="ispn-9.4" services="import" optional="true"/>
        <module name="org.infinispan.persistence.rest" slot="ispn-9.4" services="import" optional="true"/>
        <module name="org.infinispan.persistence.rocksdb" slot="ispn-9.4" services="import" optional="true"/>
    </dependencies>
</module>
